ReferenceManager (Groovy 5.0.6)

Package: org.codehaus.groovy.util

## [Java] Class ReferenceManager

- org.codehaus.groovy.util.ReferenceManager

-     public class ReferenceManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReferenceManager(ReferenceQueue queue)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterReferenceCreation(Reference r)`
    `` | `public void` | `afterReferenceCreation(Reference r)`
    `` | `public static ReferenceManager` | `createCallBackedManager(ReferenceQueue queue)`
    `` | `public static ReferenceManager` | `createIdlingManager(ReferenceQueue queue)`
    `` | `public static ReferenceManager` | `createThreadedManager(ReferenceQueue queue)`
    `` | `public static ReferenceManager` | `createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)`
    `` | `public static ReferenceBundle` | `getDefaultSoftBundle()` deprecated: use ReferenceBundle.getSoftBundle
    `` | `public static ReferenceBundle` | `getDefaultWeakBundle()` deprecated: use ReferenceBundle.getWeakBundle
    `` | `protected ReferenceQueue` | `getReferenceQueue()`
    `` | `public void` | `removeStallEntries()`
    `` | `public void` | `removeStallEntries()`
    `` | `public void` | `stopThread()`
    `` | `public void` | `stopThread()`
    `` | `public String` | `toString()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReferenceManager(ReferenceQueue queue)

  - ### Method Detail

    - #### @Override
      public void afterReferenceCreation(Reference r)

    - #### public void afterReferenceCreation(Reference r)

    - #### public static ReferenceManager createCallBackedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createIdlingManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThreadedManager(ReferenceQueue queue)

    - #### public static ReferenceManager createThresholdedIdlingManager(ReferenceQueue queue, ReferenceManager callback, int threshold)

    - #### @Deprecated
      public static ReferenceBundle getDefaultSoftBundle()

      deprecated:
        use ReferenceBundle.getSoftBundle

    - #### @Deprecated
      public static ReferenceBundle getDefaultWeakBundle()

      deprecated:
        use ReferenceBundle.getWeakBundle

    - #### protected ReferenceQueue getReferenceQueue()

    - #### @Override
      public void removeStallEntries()

    - #### public void removeStallEntries()

    - #### @Override
      public void stopThread()

    - #### public void stopThread()

    - #### @Override
      public String toString()

    - #### @Override
      public String toString()